import type { BTextComponentProps } from './BText/prop';
import type { BBasicBarChartComponentProps } from './BBasicBarChart/prop';
import type { BHorizontalBarChartComponentProps } from './BHorizontalBarChart/prop';
export interface CommonComponentProps {
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    clickEvent: string;
    displayCondition: string;
    alignItems: string;
    justifyContent: string;
    color: string;
    fontFamily: string;
    fontSize: string;
    fontWeight: string;
    fontStyle: string;
    textDecoration: string;
    overflow: string;
    cursor: string;
    lineHeight: string;
    opacity: string;
    width: string;
    height: string;
    left: string;
    top: string;
    backgroundColor: string;
    paddingTop: string;
    paddingRight: string;
    paddingBottom: string;
    paddingLeft: string;
    borderRadius: string;
    borderTopLeftRadius: string;
    borderTopRightRadius: string;
    borderBottomLeftRadius: string;
    borderBottomRightRadius: string;
    borderStyle: string;
    borderWidth: string;
    borderColor: string;
    boxShadow: string;
    boxShadowV: string;
    boxShadowBlur: string;
    boxShadowSpread: string;
    boxShadowColor: string;
    boxShadowInset: boolean;
}
export declare const commonDefaultProps: CommonComponentProps;
export declare type AllComponentProps = BTextComponentProps & BBasicBarChartComponentProps & BHorizontalBarChartComponentProps;
export declare const transformToComponentProps: <T extends {}>(props: T) => { [P in keyof T]: {
    type: any;
    default: T[keyof T];
}; };
